Last Comment Bug 10895 - [PP]:[FEATURE] Hook up printing
: [PP]:[FEATURE] Hook up printing
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: M11
Assigned To: (not reading, please use seth@sspitzer.org instead)
: fenella
:
Mentors:
Depends on: 10527
Blocks: 10791 11091 11275
  Show dependency treegraph
 
Reported: 1999-07-29 23:53 PDT by scottputterman
Modified: 2004-11-22 17:25 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description lchiang 1999-07-30 10:09:59 PDT
Yes, I really need to be able to print messages.
Comment 1 (not reading, please use seth@sspitzer.org instead) 1999-08-05 07:45:59 PDT
accepting bug.
Comment 2 (not reading, please use seth@sspitzer.org instead) 1999-08-06 00:51:59 PDT
the changes for printing are in, but because we can't print frames, printing
won't work yet.

to try it out, do File | Print when the message pane has the messenger start
page.

either printing frames will get fixed, or the message pane will get fixed.

then we can print!
Comment 3 lchiang 1999-08-06 10:08:59 PDT
yippee! Thanks.
Comment 4 (not reading, please use seth@sspitzer.org instead) 1999-08-06 10:11:59 PDT
something to remember:
until we stop using frames, or printing with frames works, doing File | Print
will do bad things when viewing a real mail / news message.

it will probably crash.
Comment 5 lchiang 1999-08-06 10:45:59 PDT
Ok. So until printing really works, we'll just leave the "." in front of the
Print menu item.
Comment 6 (not reading, please use seth@sspitzer.org instead) 1999-08-06 11:17:59 PDT
good thinking, lincoln.

I just put the "." back.
Comment 7 lchiang 1999-08-06 11:22:59 PDT
<I didn't understand your reference to "lincoln">
Comment 8 (not reading, please use seth@sspitzer.org instead) 1999-08-06 13:37:59 PDT
good thinkin', lincoln			(what a good idea you have!)
we're outta here, vladamir		(let's go!)
how now, brown how?			(how are you?)
you're the bee's knees			(gee, you're swell)
Comment 9 (not reading, please use seth@sspitzer.org instead) 1999-08-10 19:55:59 PDT
when we can print frames (bug 10527) we can print mail.
Comment 10 (not reading, please use seth@sspitzer.org instead) 1999-08-25 16:58:59 PDT
I just checked in a patch to get printing mail to sort of work.

Right now, it only prints out the message body.  (no headers).

I'm going to mark this bug fixed, and change ".Print" to "Print"

then I'm going to log a bunch more bugs against me (and other people, if
necessary) to keep track of the new problems.
Comment 11 fenella 1999-08-27 16:55:59 PDT
Win_nt 4.0 (1999-08-27-12 M10), Linux Redhat 6.0 (1999-1999-08-26-04 M10)
Printing the body content works on Win_nt 4.0. Have not tried Linux and Mac yet.
Comment 12 fenella 1999-09-10 17:47:59 PDT
Mac (1999-09-10-09 M11)
Printing does not work on Mac 8.5
Comment 13 (not reading, please use seth@sspitzer.org instead) 1999-09-10 17:50:59 PDT
fenella, can you print from the browser on the mac?
Comment 14 fenella 1999-09-13 16:07:59 PDT
Linux (1999-09-13-08 M11)
Seth, Using this build, I can print browser and mail on the Mac.
Comment 15 fenella 1999-09-13 16:27:59 PDT
linux (1999-09-13-08 M11)
It prints only the signature "This message was sent by Messenger 5.0"
But does not print the content.
Comment 16 leger 1999-09-14 07:31:59 PDT
Clearing FIXED resolution due to reopen.
Comment 17 fenella 1999-09-14 13:02:59 PDT
Linux (1999-09-14-09 M11)
Printing is now working on Linux

Note You need to log in before you can comment on or make changes to this bug.